Cyberduck Mountain Duck CLI

#3078 closed enhancement (worksforme)

Memory usage

Reported by: szor3n@… Owned by: dkocher
Priority: high Milestone: 3.3
Component: core Version: 3.1.2
Severity: major Keywords: memory leak files stored in ram
Cc: Architecture:
Platform:

Description

When uploading files via FTP with cyberduck 3.1.2 build 4500, There is an error where the files (seem) to stay allocated in the system memory. This can be observed by looking at activity monitor, when cyberduck opens, then watching as the amount of mem used increases by each upload. The only thing that seems to clear it, is restarting the app. I just checked with nightly 4517 and its still there.

Change History (9)

comment:1 Changed on Mar 25, 2009 at 12:29:37 AM by craig@…

Can confirm this. Been having this issue for at least a month now. I've seen Cyberduck utilize as much as 450mb of active ram in Activity Monitor while idle, after a bunch of uploading.

comment:2 follow-up: Changed on Mar 25, 2009 at 12:49:26 PM by dkocher

Is this dependant on the protocol used?

comment:3 in reply to: ↑ 2 Changed on Mar 25, 2009 at 5:52:03 PM by craig@…

Replying to dkocher:

Is this dependant on the protocol used?

Not sure, all I use is regular FTP.

comment:4 Changed on Mar 26, 2009 at 4:20:33 AM by szor3n@…

It does it for sftp too... cause I use both protocols

comment:5 Changed on Apr 22, 2009 at 10:22:23 AM by dkocher

  • Summary changed from Massive Memory Leak to Memory usage
  • Type changed from defect to enhancement

comment:6 Changed on Apr 22, 2009 at 10:23:28 AM by dkocher

#2969, #2696, #2361 closed as duplicates.

comment:7 Changed on Apr 22, 2009 at 3:39:07 PM by szor3n

How can the fact that it constantly takes up more memory be considered a feature?

comment:8 Changed on Jun 12, 2009 at 11:22:15 AM by jasper@…

I can confirm. Was surprised to find it taking up over 1.5GB of memory. I'm still having to restart it repeatedly through the course of a day. Every time I upload something, it jumps up more.

This is of Version 3.2 (4648)

comment:9 Changed on Nov 3, 2009 at 9:09:25 PM by dkocher

  • Milestone set to 3.3
  • Resolution set to worksforme
  • Status changed from new to closed

Please try the latest snapshot from http://update.cyberduck.ch/nightly/

Note: See TracTickets for help on using tickets.
swiss made software